RCP(1)

NAME
v4rcp - back end for Kerberos V4 rcp

SYNOPSIS
v4rcp not invoked by users

DESCRIPTION
This program is not for user execution. The usage message indicates this.

Kerberos Version 4 rsh did not support encryption. In order to perform encrypted file transfer, the version 4 rcp program did a second authentication, directly to the rcp process at the other end. This meant that rcp needed to be setuid to root in order to read the krb-srvtab file on the remote end.

Rather than add this complexity into the main Kerberos 5 rcp the Kerberos 5 kshd instead detects the use of Kerberos 4 authentication, and checks the command for the program name rcp and then substitutes the full pathname of v4rcp instead. Since v4rcp is installed setuid to root, it can perform the the authentication and get the session key needed to encrypt the file transfer.

Kerberos 5 rcp instead uses the encryption support built in to Kerberos 5 rsh and kshd directly.

SEE ALSO
rsh(1), rcp(1), kshd(8)